io.undertow.websockets.core

## Class WebSocketInvalidCloseCodeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - io.undertow.websockets.core.WebSocketException
        - - io.undertow.websockets.core.WebSocketInvalidCloseCodeException

All Implemented Interfaces:
  Serializable

    public class WebSocketInvalidCloseCodeException
    extends WebSocketException

WebSocketException which will be thrown if a corrupted frame was detected

Author:
  Norman Maurer
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WebSocketInvalidCloseCodeException()`
`WebSocketInvalidCloseCodeException(String msg)`
`WebSocketInvalidCloseCodeException(String msg, Throwable cause)`
`WebSocketInvalidCloseCodeException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WebSocketInvalidCloseCodeException

    public WebSocketInvalidCloseCodeException()

#### WebSocketInvalidCloseCodeException

    public WebSocketInvalidCloseCodeException(String msg,
                                              Throwable cause)

#### WebSocketInvalidCloseCodeException

    public WebSocketInvalidCloseCodeException(String msg)

#### WebSocketInvalidCloseCodeException

    public WebSocketInvalidCloseCodeException(Throwable cause)